Last Comment Bug 500840 - [Tracking] Localization for Mozilla Service Week
: [Tracking] Localization for Mozilla Service Week
Status: RESOLVED FIXED
L10n
:
Product: Websites Graveyard
Classification: Graveyard
Component: mozillaservice.org (show other bugs)
: unspecified
: All All
: P1 critical (vote)
: 1.1
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 500841 503085 503919 511421 500842 500843 502030 502346 503088 503140 503853 511124
Blocks: 506704 503868
  Show dependency treegraph
 
Reported: 2009-06-26 17:02 PDT by Austin King [:ozten]
Modified: 2011-01-10 00:53 PST (History)
25 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Austin King [:ozten] 2009-06-26 17:02:54 PDT
This is a general tracking bug for Mozilla Service Week.
Another bug will be created for your locale and added as a dependency.

Code is at 
http://viewvc.svn.mozilla.org/vc/projects/mozillaservice.org/trunk/
with individual .po files under
http://viewvc.svn.mozilla.org/vc/projects/mozillaservice.org/trunk/web/application/locale/

The FAQ is localized directly in HTML. Look under the 'pages' directory in your locale.

The stage server is at http://mozillaservice.stage.mozilla.com/
Comment 1 Austin King [:ozten] 2009-06-30 11:49:33 PDT
Please email me or comment on your bug if you are working on a localization. I will get you SVN commit access. Thanks for your help.
Comment 2 Michael Köhler [:Coce] 2009-06-30 12:29:31 PDT
Hi, I'll try to work on the German translation. Can you tell us, when the translation has to be completed?
Comment 3 Jane Finette 2009-06-30 12:32:45 PDT
Hey Michael, it would be great to have the translation ready by July 13th - if that's possible? Thank you!
Comment 4 Austin King [:ozten] 2009-06-30 15:46:31 PDT
Cédric has SVN access now.

Filing an IT Ticket to grant Coce SVN Access.
Comment 5 Austin King [:ozten] 2009-07-01 15:45:35 PDT
No one has commented on es Bug#500841.
Comment 6 Jane Finette 2009-07-02 03:56:21 PDT
Guillermo in mexico - did reply to me saying "hi, Jane, i will begin to see the files and to work with it." from Monday. 

Should I ask him to update Bug#500841 with progress?
Comment 7 Austin King [:ozten] 2009-07-02 11:27:09 PDT
Or can you email me with his email address and full name? I will get him SVN access. Thanks Jane!
Comment 8 Austin King [:ozten] 2009-07-02 11:42:33 PDT
A note on localized domains. If your locale is not going to use
mozillaservice.org, we need to know soon, so we can purchase the domain and
cert.
Comment 9 Zibi Braniecki [:gandalf][:zibi] 2009-07-02 12:56:47 PDT
Austin: tydzienmozilli.pl is already pointing at the server. Just the cert is needed.
Comment 10 alina.mierlus 2009-07-07 16:38:21 PDT
I could have a SVN access for: mierlus@gmail.com - Alina Mierlus? For the Catalan (ca) and Romanian (ro) translation. Thanks!
Comment 11 Pascal Chevrel:pascalc 2009-07-07 17:09:50 PDT
Alina, actually you should have access to more that these two repos, I am going to file a bug for you.
Comment 12 Austin King [:ozten] 2009-07-07 18:00:51 PDT
(In reply to comment #11)
I've created ca and ro.
Pascal, can you CC me on the bug so I can see how you file these. The template I have been following is Bug#501237. Thanks for your help.
Comment 13 Pascal Chevrel:pascalc 2009-07-07 18:10:26 PDT
Sure, just CCed you. For information, a web localizer should:
1/ have an LDAP account
2/ have a signed committer's agreement on file
3/ be added to the svn @localizers group (like Cédric was)
Comment 14 Zibi Braniecki [:gandalf][:zibi] 2009-07-13 05:25:01 PDT
Hi Austin, can we get polish po file (bug 503853)?
Comment 15 krupa raj[:krupa] 2009-07-13 10:42:24 PDT
assigning priority,severity and milestone...
Comment 16 Giuliano Masseroni [:jooliaan] 2009-07-13 11:03:09 PDT
Do Elisabetta and I work on this bug? We do not have (and do not want ;-)) a SVN access. We're already following bug #493006 and bug #494212 and we are the people in charge for the localization of Mozilla Service Week website into Italian.

Thank you.
Comment 17 Austin King [:ozten] 2009-07-13 12:18:18 PDT
(In reply to comment #16)
Excellent, I've created the po and faq files. I've assigned Bug#503919 to you.
Thanks!
Comment 18 Michael Köhler [:Coce] 2009-07-13 13:34:10 PDT
Ok, the German (de) translation should be completed.

messages.po: r29683
Flyer: bug 502166 c8
Certificate: bug 494212 c33
Comment 19 Michael Köhler [:Coce] 2009-07-13 13:39:33 PDT
Sorry, forgot to mention the

faq.php: r29542
Comment 20 Austin King [:ozten] 2009-07-13 13:51:47 PDT
Great work! The stage server 
http://mozillaservice.stage.mozilla.com/home/index/de_DE
Automatically updates every 10 minutes, so you should see you work there.

Please share the staging server with others to help test the site.
(I've emailed you the username and password).
Comment 21 Besnik Bleta 2009-07-25 02:15:16 PDT
Austin,

I've finished the translation for sq, but svn commit fails with:

svn: Commit failed (details follow):
svn: Server sent unexpected return value (500 Internal Server Error) in response to MKACTIVITY request for '/!svn/act/blah-blah-blah'
Comment 22 Besnik Bleta 2009-07-26 03:22:24 PDT
Is this link, within the FAQs, to be modified for each locale:

<a href="http://mozillaservice.org">http://mozillaservice.org.</a>

in order to get users to the localized section of the site? If yes, into what?
Comment 23 Besnik Bleta 2009-07-26 03:36:26 PDT
Idem for: http://www.mozilla.org/contribute/

towards the end of the same FAQ page
Comment 24 Jane Finette 2009-07-27 06:21:50 PDT
Hey there: to comments  #22  and  #23 - the pages of those links do not need to be localized. Thank you for checking.
Comment 25 Austin King [:ozten] 2009-07-27 11:10:29 PDT
Please svn up on your messages.po.

We've added 4 new strings to the /press/promote page so you can describe "The Mozilla Blog" and "Above The Fold".

Merging strings will sometimes create conflicts, so it is best to backup your work and svn up sooner than later.
Comment 26 Cédric Corazza 2009-07-27 11:55:36 PDT
[fr] French locale updated. Rev 30498
Comment 27 Austin King [:ozten] 2009-07-27 13:18:15 PDT
Per bug 506704 - please svn up, we've added the string
"Need a service opportunity to fulfill your pledge? <a href=\"%s\">Check out our partners to find one!</a>"
Comment 28 Giuliano Masseroni [:jooliaan] 2009-07-27 13:18:55 PDT
(In reply to comment #25)
> Please svn up on your messages.po.
> 
> We've added 4 new strings to the /press/promote page so you can describe "The
> Mozilla Blog" and "Above The Fold".
> 
> Merging strings will sometimes create conflicts, so it is best to backup your
> work and svn up sooner than later.

Austin, please could you update also bug 503919 ?
Thanks
Comment 29 Austin King [:ozten] 2009-07-27 13:49:51 PDT
(In reply to comment #14)
Hi Zbigniew, please edit web/application/locale/pl/LC_MESSAGES/messages.po
Comment 30 Austin King [:ozten] 2009-07-27 13:51:29 PDT
Just a reminder that the stage server is automatically compiling po files. You should see your work on stage within 10 minutes of committing it.
Comment 31 Austin King [:ozten] 2009-07-28 10:00:15 PDT
General note for all 'es' work.

'es_ES' is going to be used for the "neutral 'international' Spanish" translation.
Comment 32 Austin King [:ozten] 2009-07-29 08:12:15 PDT
(In reply to comment #31)
I've renamed this dir locale/es, after finding a work around. Testing the work around today.
Comment 33 Austin King [:ozten] 2009-07-29 11:50:46 PDT
Bugfixed, please svn up to avoid conflicts.

I have updated your faq.php to use a variable $partner_common_name, instead of the hardcoded 'Idealist'.

Other than picking up this change (svn up) no other action is required. Thanks.

reported in Bug#507014, Bug#507008
Comment 34 Giuliano Masseroni [:jooliaan] 2009-07-29 11:58:00 PDT
Austin, does this change has been done also on the Italian faq.php in bug #503919 ? If so, please could you add your comment on that bug too?
Comment 35 Austin King [:ozten] 2009-07-29 12:07:09 PDT
(In reply to comment #34)
Yes, this fix affected all locales. I'll comment on 503919.
Comment 36 Austin King [:ozten] 2009-07-30 15:02:37 PDT
All locales: Please svn up to avoid conflicts, I've touched strings in the certificate file. No new work is required. Thanks.
Comment 37 Cédric Corazza 2009-07-30 15:11:55 PDT
Hum, poedit tells me that 6 strings have been changed after svn update. Where is the truth Austin? There were some semantic changes and two new strings
Comment 38 Austin King [:ozten] 2009-07-30 15:34:05 PDT
(In reply to comment #37)
1) Pagination
I've added back in the pagination strings, which disappeared from the master po file. Example string: "Go to page %1$s of %2$s". I checked (randomly) es and they still had the translation for this.
2) Certificate
I've updated a formatting aspect of the certificate. "Name" becomes "Name:". I'm assuming this will formatting will vary by locale.
I fixed capitalization error in "You made a Difference. Committed " became "You made a difference. Committed "... etc.  This certificate feature hasn't been built yet, but I was comparing it to Bug#495573. We are still figuring out which part will be in po file and which will be in the certificate image(s).
Comment 39 Giuliano Masseroni [:jooliaan] 2009-07-31 02:07:30 PDT
(In reply to comment #36)
> All locales: Please svn up to avoid conflicts, I've touched strings in the
> certificate file. No new work is required. Thanks.

Austin, does this change has been done also on the Italian po file in bug
#503919 ? If so, please could you add your comment on that bug too?
More, please could you be so kind to explain your comment #37 in an easier way too since I am not sure to have understood it in the right way?

Thanks!
Comment 40 Michael Köhler [:Coce] 2009-08-01 06:32:26 PDT
Hi, the picture of the airplane on the top right of the page [1] has the alternative text "An old airplane for decoration". This string is not available in the messages.po and therefore can't be translated.
Will you add this string, or should we leave it untranslated?

[1] <http://mozillaservice.stage.mozilla.com/home/index/de_DE>
Comment 41 Austin King [:ozten] 2009-08-03 09:25:14 PDT
(In reply to comment #40)
Coce good catch! 

All locales please svn up to get two new strings.
'An old airplane for decoration'
'Tail of a banner pulled by an old airplane'

I've left a comment for each string that they are optional, or that they can also say "site decoration" to make it simpler.
Comment 42 Giuliano Masseroni [:jooliaan] 2009-08-03 09:44:33 PDT
Austin, please could you explain me what we have to do for the Italian locale? More, please could you add your comment on bug #503919 too?

Thanks!
Comment 43 Giuliano Masseroni [:jooliaan] 2009-08-03 09:46:29 PDT
Austin, pease could you also give us the data needed to access to http://mozillaservice.stage.mozilla.com/home/index/it ?

Thanks!
Comment 44 Austin King [:ozten] 2009-08-04 07:57:09 PDT
If you've been having SVN commit errors, please try again. IT has fixed the permissions for the @localizers SVN group.
Comment 45 Michael Köhler [:Coce] 2009-08-04 11:25:34 PDT
The string on "Protecting individual's security and privacy when they are online." on <http://mozillaservice.stage.mozilla.com/learn_more/index/de_DE> is translated in the messages.po (see r48520, line 1735/1736) but the translation doesn't appear on the webpage.
The same problem appears on the Spanish page [1] and on the Frensh page [2] so this doesn't seem to be limited to the German translation.

Could someone please have a look?

[1] <http://mozillaservice.stage.mozilla.com/learn_more/index/es_ES>
[2] <http://mozillaservice.stage.mozilla.com/learn_more/index/fr_FR>
Comment 46 Austin King [:ozten] 2009-08-04 11:44:23 PDT
Investigating.
Comment 47 Austin King [:ozten] 2009-08-04 11:55:44 PDT
The String "Protecting individual's <a href='%s'>security and privacy</a> when they are online."

changed. it didn't have the link around security and privacy.

Please svn up to get this fix.
For several locales, I've added the "<a href='%s'>" and "</a>" HTML code. Please make sure this is in the correct place. Some locales, like ko, I didn't know where to add the code, so you can copy and past it.

Good find, thanks Coce.
Comment 48 Austin King [:ozten] 2009-08-04 13:25:55 PDT
All locales:
The stage server http://mozillaservice.stage.mozilla.com is not available for testing for a few hours while we test tonight's release of "Friends of Mozilla Service Week" changes.

I will update this bug when locales are added back. Thanks.
Comment 49 Austin King [:ozten] 2009-08-04 15:31:35 PDT
All locale's are back on stage. We are done with testing for tonight's release. Thanks for your patience.
Comment 50 Besnik Bleta 2009-08-06 02:23:22 PDT
Austin,

There's is a Recaptcha thing on the registration page, which is untranslated for most of the locales, except 7-8 big languages which have already done it directly to ReCaptcha project. Since we're talking about a handful of very short strings to translate, would be nice if we can get that implemented too.
Comment 51 Besnik Bleta 2009-08-06 03:37:55 PDT
I tried to post a story, you can see it here: 

http://mozillaservice.stage.mozilla.com/activity/story/65 

but there something wrong with the encoding. Any hint?
Comment 52 Austin King [:ozten] 2009-08-18 09:05:24 PDT
(In reply to comment #50)
Great point. Do you want to contact the ReCAPTCHA team?
Comment 53 Austin King [:ozten] 2009-08-18 09:06:14 PDT
(In reply to comment #51)
Thanks for reporting this. Pascal has filed Bug#511124. I'm working on this encoding issue.
Comment 54 Austin King [:ozten] 2009-08-19 09:16:38 PDT
Just a reminder, a complete localization includes:

* messages.po
* faq.php
* Flyer (Bug#502166)
* Affiliate buttons
* RSS or Atom feeds. For en we use delicous and flickr feeds for the tag
'mozservice09'. You can give us 1 or more ko feeds.

en examples of RSS Feeds - http://feeds.delicious.com/v2/rss/tag/mozservice09?count=15
Comment 55 Austin King [:ozten] 2009-08-19 09:34:31 PDT
For RSS/Atom Feeds I've created Bug#511421.
Comment 56 Austin King [:ozten] 2009-08-19 10:59:00 PDT
And the Affiliate buttons are tracked in Bug#505363.
Comment 57 Besnik Bleta 2009-08-20 02:40:27 PDT
(In reply to comment #53)
> (In reply to comment #51)
> Thanks for reporting this. Pascal has filed Bug#511124. I'm working on this
> encoding issue.

I see it working properly now. Thank you!
Comment 58 Besnik Bleta 2009-08-20 02:47:45 PDT
(In reply to comment #52)
> (In reply to comment #50)
> Great point. Do you want to contact the ReCAPTCHA team?

Already did it. Thanx!
Comment 59 Austin King [:ozten] 2009-09-02 10:18:09 PDT
Congratulations to ko, pl, and sq teams. They are now live!
Comment 60 Fernando Pereira Silveira 2009-09-03 15:47:18 PDT
I'm not being able to access the stage server using my SVN/LDAP username. What login information should I use to access it?
Comment 61 Tom Ellins [:TMZ] 2009-09-03 16:08:41 PDT
(In reply to comment #60)
> I'm not being able to access the stage server using my SVN/LDAP username. What
> login information should I use to access it?

I dont believe this is anything to do with the above bug.
Comment 62 Austin King [:ozten] 2009-09-03 16:48:52 PDT
I've emailed Fernando the username/password.
Comment 63 Austin King [:ozten] 2009-09-03 17:02:39 PDT
(In reply to comment #62)
Spoke too soon... Email bounced.
Please email help AT mozillaservice DOT org for the shared username/password.
Comment 64 Austin King [:ozten] 2009-09-08 21:09:58 PDT
Attention ALL locales:
Please svn update to get new strings.

Please read this wiki page for instructions
https://wiki.mozilla.org/Websites:Mozilla_Service_Week:L10n_phase2#How_to_test_Phase_1.2C_2.2C_and_3

Service Week is in production as "phase 1", but we are working on Phase 2 (during) and phase 3 (after service week). We have some new or updated strings for phase 2 and need your help updating the site.

Thanks.
Comment 65 Mary 2009-09-11 13:51:19 PDT
Hi all:  Please let me know if you committed your changes to SVN.  This needs to go live on Monday with the kick off the program :-)

We won't push live until you tell us it's ok.

Again, here are the instructions on reviewing changes...

https://wiki.mozilla.org/Websites:Mozilla_Service_Week:L10n_phase2#How_to_test_Phase_1.2C_2.2C_and_3
Comment 66 Elisabetta Manuele 2009-09-12 10:30:34 PDT
(In reply to comment #65)
> Hi all:  Please let me know if you committed your changes to SVN.  This needs
> to go live on Monday with the kick off the program :-)

Hi Mary,

You can find the final Italian messages.po file for phase 2 in bug #503919 (comment #52).

Thanks.
Comment 67 Michael Köhler [:Coce] 2009-09-13 11:21:53 PDT
(In reply to comment #65)
> Hi all:  Please let me know if you committed your changes to SVN.  This needs
> to go live on Monday with the kick off the program :-)

Hi Mary, the updates for German (de) for phase to have been checked in as r51367.
Comment 68 Michael Köhler [:Coce] 2009-09-14 04:41:48 PDT
Hi Mary, German (de) has added a few fixes in r51391. If possible, please use this. Apologies!
Comment 69 Austin King [:ozten] 2009-09-14 07:56:55 PDT
(In reply to comment #68)
Will do, thanks!
Comment 70 Austin King [:ozten] 2009-09-14 08:25:02 PDT
I don't see any updates from
* ca_ES
* es_ES
* ko

All other locales have updates, thanks! We'll keep these 3 locales at "phase 1" copy for today's release.
Comment 71 Channy Yun [:channy] 2009-09-14 08:42:38 PDT
ko updated. r51401
Comment 72 [:rickiees] Ricardo Palomares 2009-09-14 10:51:22 PDT
Sorry about es_ES, mainly my fault because I didn't comment Austin's warning to the rest of people involved in the translation.

While reviewing Guillermo Movia's work, I've discovered a duplicated word in the original strings:

#. phase 2 only
#: views/promote/mozservice09.php:49
#, fuzzy, php-format
msgid ""
"<a href='%1$s'>Stay up-to-date</a> on the latest news and and volunteer "
"stories throughout Mozilla Service Week."


"...on the latest news *and* *and* volunteer..."

Just in case nobody else has catched it. :-)
Comment 73 Michael Köhler [:Coce] 2009-09-17 00:04:38 PDT
Fixed typo in German (de) messages.po: r51712.
Do we need to report any fixes here, or do you update the pages regularly, using the latest revisions?
Comment 74 Austin King [:ozten] 2009-09-17 08:45:47 PDT
(In reply to comment #73)
If you need something to go to production, then please report it here.
Comment 75 Austin King [:ozten] 2009-09-17 13:56:52 PDT
All locales please commit any outstanding changes.

Phase 3 strings are coming soon. I'll post more instructions.

Thanks!
Comment 76 Austin King [:ozten] 2009-09-17 16:22:54 PDT
*All Locales* Please svn up for Phase 3 copy.
I've updated 
https://wiki.mozilla.org/Websites:Mozilla_Service_Week:L10n_phase2#Phase_3_changes_9.2F17.2F09
with details.

The stage server has been updated to "phase 3" copy.

Sorry for the late string freeze. We are shooting for a Monday release. Of course we can release on a locale by locale basis.

Thanks for your help.
Comment 77 Austin King [:ozten] 2009-09-17 16:30:37 PDT
Monday at midnight PDT (or whatever IT wants to do) so that Tuesday will roll out the phase 3 copy.
Comment 78 Besnik Bleta 2009-09-18 03:38:43 PDT
sq updated at rev. 51830
Comment 79 Austin King [:ozten] 2009-09-18 14:18:16 PDT
*All Locales*
Please test your downloadable certificates.

Please read https://wiki.mozilla.org/Websites:Mozilla_Service_Week:L10n_phase2#Phase_3_changes_9.2F17.2F09

I've updated it with instructions on testing the certificate.

Also please review the string "You made someone's world better!". It not longer includes "Thank You -".

Below are some suggested fixes:
sq_AL
OLD "Faleminderit &ndash; ia bëtë botën më të bukur dikujt!"
NEW: "Ia bëtë botën më të bukur dikujt!"
 
de_DE
OLD: "Danke – Sie haben jemandem das Leben erleichtert!"
NEW: "Sie haben jemandem das Leben erleichtert!"

es_ES:
OLD: "Gracias: ¡has mejorado el mundo para alguien!"
NEW: "¡Has mejorado el mundo para alguien!"
 
fr_FR:
OLD: "Merci &ndash; vous avez rendu le monde de quelqu'un meilleur&nbsp;!"
NEW: "Vous avez rendu le monde de quelqu'un meilleur!"
Comment 80 Giuliano Masseroni [:jooliaan] 2009-09-18 15:51:47 PDT
it_IT
OLD: "Grazie - hai reso migliore la vita di qualcuno!"
NEW:"Hai contribuito a rendere migliore la vita di qualcuno!"

Jane, please do you think it might be possible to have also the following change:

OLD:"La Sette giorni di Mozilla per la collettività, 14-21 settembre 2009"
NEW:
"La Sette giorni di Mozilla per la collettività
            14-21 settembre 2009"

In our opinion having the date centered below the name of the campaign would make the Italian certificate look better.

Thank you!
Comment 81 Besnik Bleta 2009-09-19 00:42:17 PDT
(In reply to comment #79)
Dertificate tested and sq updated at rev. 51902.
Comment 82 Austin King [:ozten] 2009-09-19 13:27:53 PDT
(In reply to comment #80)
The certificate is generated by the web code. This is not a Mary or Jane task.

Please update the po file and it will change the certificate after 5 to 10 minutes on stage.

Sorry I didn't mention this.
Comment 83 Austin King [:ozten] 2009-09-19 13:33:04 PDT
Please commit any changes to avoid conflicts. I may be pulling in two new strings that I missed to resolve Bug#517696.
Comment 84 Austin King [:ozten] 2009-09-19 14:04:52 PDT
Please svn update

There is one new string:
Incorrect? Update Your Hours Completed
Comment 85 Michael Köhler [:Coce] 2009-09-20 12:16:54 PDT
Checked in r51929 containing the German phase 3 strings.
Comment 86 Michael Köhler [:Coce] 2009-09-20 12:39:00 PDT
r51931 contains a fix for German (de).
Comment 87 Austin King [:ozten] 2009-09-21 09:07:18 PDT
When your happy with Phase 3 work and your team has tested it on stage, please update your bug with "phase 3 sign off". Thanks. We are working towards a 11:59pm release tonight, in roughly 15 hours.

Sites will be left on phase 2 copy until they sign off on phase 3 work. 

Thanks for all your time and hard work.

https://bugzilla.mozilla.org/show_bug.cgi?id=500840#c76 - details
Comment 88 Michael Köhler [:Coce] 2009-09-21 12:12:17 PDT
Checked in r52010, which contains a fix for the certificate.
Comment 89 Giuliano Masseroni [:jooliaan] 2009-09-21 13:54:41 PDT
Hi Austin,

As per bug# 503919 comment #93 we consider Italian phase 3 signed off.

Thank you so much for your helpfulness and your hard work.

Giuliano and Elisabetta
Comment 90 alina.mierlus 2009-09-21 16:50:54 PDT
Sorry, fix ro-RO and ca-ES certificates:
ro-RO
OLD: Îți mulțumim - ai făcut lumea cuiva mai bună!
NEW: Ai făcut lumea cuiva mai bună!

ca-ES
OLD: Gràcies! – heu millorat la vida d'algú!
NEW: Heu millorat la vida d'algú!
Comment 91 Austin King [:ozten] 2009-09-21 17:01:29 PDT
Alina, I changed the po files and committed them.

Please svn update.

On stage in 5 minutes.

(po files have the strings that generate the Certificate Pdfs)
Comment 92 Michael Köhler [:Coce] 2009-09-26 10:51:33 PDT
I've just checked in r52395 to fix a typo in the German translation.
Comment 93 Besnik Bleta 2010-03-05 01:59:53 PST
Shouldn't this bug be closed by now?

Note You need to log in before you can comment on or make changes to this bug.